std::assignable_from(3cxx)

NAME
std::assignable_from - [concept.assignable], concept assignable_from

SYNOPSIS

#include <concepts>

Concept definition

template<typename _Lhs, typename _Rhs>
concept std::assignable_from =  is_lvalue_reference_v<_Lhs>
      && common_reference_with<__detail::__cref<_Lhs>, __detail::__cref<_Rhs>>
      && requires(_Lhs __lhs, _Rhs&& __rhs) {
        { __lhs = static_cast<_Rhs&&>(__rhs) } -> same_as<_Lhs>;
      }

Detailed Description

[concept.assignable], concept assignable_from

Author

Generated automatically by Doxygen for libstdc++ from the source code.